import request from '@/utils/request'
//big/getScreen

// 查询大屏列表
export function getScreen(query) {
  return request({
    url: 'system/screen/list',
    method: 'get',
    params: query
  })
}

//添加大屏
export function addScreen(data) {
  return request({
    url: 'system/screen/add',
    method: 'post',
    params: data
  })
}
//更新大屏
export function updateScreen(data) {
  return request({
    url: 'system/screen/update',
    method: 'put',
    params: data
  })
}

//删除大屏
export function delScreen(id) {
  return request({
    url: 'system/screen/del',
    method: 'delete',
    params: { id: id }
  })
}

//获取分配的用户
export function getAssignUser(id) {
  return request({
    url: 'system/screen/getScreenUserList',
    method: 'post',
    params: { id: id }
  })
}

//分配用户
export function assignUser(data) {
  return request({
    url: 'system/screen/addUserScreen',
    method: 'post',
    params: data
  })
}

//测试
export function testScreen(data) {
  return request({
    url: 'screen/s/getPmtwoData',
    method: 'get',
    params: data
  })
}
